Community Tweets
curl --request GET \
--url https://api.sociavault.com/v1/scrape/twitter/community/tweets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/twitter/community/tweets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/twitter/community/tweets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"tweets": {
"0": {
"id": "2013630474271498525",
"source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>",
"view_count": "20638",
"bookmark_count": 15,
"bookmarked": false,
"created_at": "Tue Jan 20 15:11:31 +0000 2026",
"conversation_id_str": "2013630474271498525",
"display_text_range": {
"0": 0,
"1": 87
},
"entities": {
"hashtags": {},
"media": {
"0": {
"display_url": "pic.x.com/S7tOAlo8XO",
"expanded_url": "https://x.com/vybhavbhadri/status/2013630474271498525/photo/1",
"id_str": "2013630453463277568",
"indices": {
"0": 88,
"1": 111
},
"media_key": "3_2013630453463277568",
"media_url_https": "https://pbs.twimg.com/media/G_HaOo-WYAAIyWN.jpg",
"type": "photo",
"url": "https://t.co/S7tOAlo8XO",
"ext_media_availability": {
"status": "Available"
},
"features": {
"large": {
"faces": {
"0": {
"x": 102,
"y": 167,
"h": 130,
"w": 130
}
}
},
"medium": {
"faces": {
"0": {
"x": 102,
"y": 167,
"h": 130,
"w": 130
}
}
},
"small": {
"faces": {
"0": {
"x": 58,
"y": 95,
"h": 74,
"w": 74
}
}
},
"orig": {
"faces": {
"0": {
"x": 102,
"y": 167,
"h": 130,
"w": 130
}
}
}
},
"sizes": {
"large": {
"h": 862,
"w": 1184,
"resize": "fit"
},
"medium": {
"h": 862,
"w": 1184,
"resize": "fit"
},
"small": {
"h": 495,
"w": 680,
"resize": "fit"
},
"thumb": {
"h": 150,
"w": 150,
"resize": "crop"
}
},
"original_info": {
"height": 862,
"width": 1184,
"focus_rects": {
"0": {
"x": 0,
"y": 199,
"w": 1184,
"h": 663
},
"1": {
"x": 0,
"y": 0,
"w": 862,
"h": 862
},
"2": {
"x": 0,
"y": 0,
"w": 756,
"h": 862
},
"3": {
"x": 0,
"y": 0,
"w": 431,
"h": 862
},
"4": {
"x": 0,
"y": 0,
"w": 1184,
"h": 862
}
}
},
"media_results": {
"result": {
"media_key": "3_2013630453463277568"
}
}
}
},
"symbols": {},
"timestamps": {},
"urls": {},
"user_mentions": {}
},
"extended_entities": {
"media": {
"0": {
"display_url": "pic.x.com/S7tOAlo8XO",
"expanded_url": "https://x.com/vybhavbhadri/status/2013630474271498525/photo/1",
"id_str": "2013630453463277568",
"indices": {
"0": 88,
"1": 111
},
"media_key": "3_2013630453463277568",
"media_url_https": "https://pbs.twimg.com/media/G_HaOo-WYAAIyWN.jpg",
"type": "photo",
"url": "https://t.co/S7tOAlo8XO",
"ext_media_availability": {
"status": "Available"
},
"features": {
"large": {
"faces": {
"0": {
"x": 102,
"y": 167,
"h": 130,
"w": 130
}
}
},
"medium": {
"faces": {
"0": {
"x": 102,
"y": 167,
"h": 130,
"w": 130
}
}
},
"small": {
"faces": {
"0": {
"x": 58,
"y": 95,
"h": 74,
"w": 74
}
}
},
"orig": {
"faces": {
"0": {
"x": 102,
"y": 167,
"h": 130,
"w": 130
}
}
}
},
"sizes": {
"large": {
"h": 862,
"w": 1184,
"resize": "fit"
},
"medium": {
"h": 862,
"w": 1184,
"resize": "fit"
},
"small": {
"h": 495,
"w": 680,
"resize": "fit"
},
"thumb": {
"h": 150,
"w": 150,
"resize": "crop"
}
},
"original_info": {
"height": 862,
"width": 1184,
"focus_rects": {
"0": {
"x": 0,
"y": 199,
"w": 1184,
"h": 663
},
"1": {
"x": 0,
"y": 0,
"w": 862,
"h": 862
},
"2": {
"x": 0,
"y": 0,
"w": 756,
"h": 862
},
"3": {
"x": 0,
"y": 0,
"w": 431,
"h": 862
},
"4": {
"x": 0,
"y": 0,
"w": 1184,
"h": 862
}
}
},
"media_results": {
"result": {
"media_key": "3_2013630453463277568"
}
}
}
}
},
"favorite_count": 338,
"favorited": false,
"full_text": "600+ followers, lets go 🚀\n\nIf you’re into AI, or tech \n\nsay hi! \n\nFollow = follow back https://t.co/S7tOAlo8XO",
"is_quote_status": false,
"lang": "en",
"possibly_sensitive": false,
"possibly_sensitive_editable": true,
"quote_count": 1,
"reply_count": 389,
"retweet_count": 5,
"retweeted": false,
"user_id_str": "1945203992142696448",
"id_str": "2013630474271498525",
"user": {
"__typename": "User",
"id": "VXNlcjoxOTQ1MjAzOTkyMTQyNjk2NDQ4",
"rest_id": "1945203992142696448",
"affiliates_highlighted_label": {},
"avatar": {
"image_url": "https://pbs.twimg.com/profile_images/1987845640953778176/IniN-KfM_normal.jpg"
},
"core": {
"created_at": "Tue Jul 15 19:29:29 +0000 2025",
"name": "vibe",
"screen_name": "vybhavbhadri"
},
"dm_permissions": {},
"is_blue_verified": true,
"legacy": {
"default_profile": true,
"default_profile_image": false,
"description": "ai engineer → indie developer 🧑🏻💻 \nbuilding → https://t.co/zLj3dimylV \nI build MVPs in weeks 🚀\nCredit card optimiser → https://t.co/R8raN5tuAh",
"entities": {
"description": {
"urls": {
"0": {
"display_url": "kcetlabs.com",
"expanded_url": "https://kcetlabs.com",
"url": "https://t.co/zLj3dimylV",
"indices": {
"0": 47,
"1": 70
}
},
"1": {
"display_url": "smartwaytoswipe.online",
"expanded_url": "https://smartwaytoswipe.online",
"url": "https://t.co/R8raN5tuAh",
"indices": {
"0": 120,
"1": 143
}
}
}
}
},
"fast_followers_count": 0,
"favourites_count": 7484,
"followers_count": 1603,
"friends_count": 815,
"has_custom_timelines": false,
"is_translator": false,
"listed_count": 7,
"media_count": 152,
"normal_followers_count": 1603,
"pinned_tweet_ids_str": {
"0": "2020394306264338770"
},
"possibly_sensitive": false,
"profile_banner_url": "https://pbs.twimg.com/profile_banners/1945203992142696448/1762882872",
"profile_interstitial_type": "",
"statuses_count": 3771,
"translator_type": "none",
"withheld_in_countries": {}
},
"location": {
"location": "india"
},
"media_permissions": {},
"parody_commentary_fan_label": "None",
"profile_image_shape": "Circle",
"professional": {
"rest_id": "1978440721121292600",
"professional_type": "Creator",
"category": {
"0": {
"id": 1059,
"name": "Engineer",
"icon_name": "IconBriefcaseStroke"
}
}
},
"privacy": {
"protected": false
},
"relationship_perspectives": {},
"tipjar_settings": {
"is_enabled": false,
"bandcamp_handle": "",
"bitcoin_handle": "",
"cash_app_handle": "",
"ethereum_handle": "",
"gofundme_handle": "",
"patreon_handle": "",
"pay_pal_handle": "",
"venmo_handle": ""
},
"verification": {
"verified": false
}
}
}
}
},
"credits_used": 1,
"endpoint": "twitter/community/tweets"
}{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}Twitter
Community Tweets
Get the tweets from a Twitter(X) Community
GET
/
v1
/
scrape
/
twitter
/
community
/
tweets
Community Tweets
💳 1 credit per request
Authorizations
Query Parameters
Community URL
Example:
"https://x.com/i/communities/1926186499399139650"
Response
Successful response
Key Response Fields:
tweets[0].id: Tweet ID stringtweets[0].full_text: Full tweet text contenttweets[0].created_at: Tweet creation timestamptweets[0].favorite_count: Like counttweets[0].view_count: Total view counttweets[0].bookmark_count: Bookmark counttweets[0].entities.media: Attached photos/videostweets[0].entities.user_mentions: @mentions in the tweettweets[0].entities.urls: Expanded URLs in the tweet
⌘I